Jump to content

LDeeJay

Members
  • Content count

    12
  • Joined

  • Last visited

1 Follower

Profile Information

  • Real Name
    Leon
  1. LDeeJay

    Looking For Testers: New PayPal App

    And when trying to add a product to my cart: Fatal error: Cannot redeclare class paypal_standard in /public/sites/shop.mywebsite.com/catalog/includes/modules/payment/paypal_standard.php on line 17 I've reinstalled 4.027 and ran the query again to remove parameters. All seems to work again (except for the auto update..)
  2. LDeeJay

    Looking For Testers: New PayPal App

    @@Harald Ponce de Leon - Country is already set to United Kingdom..... ? The query did indeed solve the error message... but now the Balance function doesn't work anymore. Error: The PayPal balance could not be retrieved. Please try again. In the log the request looks ok but the response is completely blank.
  3. LDeeJay

    Looking For Testers: New PayPal App

    Having installed the most recent version manually by copying all the files, I see a message at the top of my screen: Warning: constant() [function.constant]: Couldn't find constant OSCOM_APP_PAYPAL_EC_STATUS in /public/sites/shop.mywebsite.com/catalog/includes/apps/paypal/OSCOM_PayPal.php on line 200 Uninstalling and trying to reinstall the module result in the same message... (changed the real sitename in this message to mywebsite)
  4. LDeeJay

    Looking For Testers: New PayPal App

    I've manually downloaded the file as described in the admin/actions/update/download.php and put the file in the work folder. Applying the update button on the site removes the file from the ./work folder. But the server is located in the Netherlands. My account with PayPal is UK though..
  5. LDeeJay

    Looking For Testers: New PayPal App

    The same as before: [09-Dec-2014 19:16:59] error_log_extraction Maybe misleading but I never see an update.zip in that folder... I am in the UK.....
  6. LDeeJay

    Looking For Testers: New PayPal App

    @@Harald Ponce de Leon What might help.. (or not): I don't see the 'Retrieve Credentials' as depicted in your first post. Is that only displayed when there aren't any credentials available? Because I entered mine manually (and seems to work).
  7. LDeeJay

    Looking For Testers: New PayPal App

    Alas, same result. I only see 1 update (of course) but the reply is the same: Applying Updates Downloading v4.039 … Applying v4.039 … Error: Could not apply v4.039!Could not start the procedure to apply the update. Please try again.
  8. LDeeJay

    Looking For Testers: New PayPal App

    The logfile in the ./work folder shows with the most recent result: [09-Dec-2014 15:14:49] error_log_extraction Not sure what info you'd like from the server: the export from ServerInfo shows: [oscommerce] version = 2.3.4 [system] date = 2014-12-09 15:29:26 +0000 GMT os = Linux kernel = uptime = http_server = Apache/2.2.16 (Debian) [mysql] version = 5.1.73-1 date = 2014-12-09 16:29:26 version = 5.3.28-1~dotdeb.0 zend = 2.3.0 sapi = apache2handler int_size = 8 safe_mode = 1 open_basedir = 0 memory_limit = 128M error_reporting = 30711 display_errors = 1 allow_url_fopen = 1 allow_url_include = 0 file_uploads = 1 upload_max_filesize = 16M post_max_size = 16M disable_functions = disable_classes = enable_dl = 0 magic_quotes_gpc = 0 register_globals = 0 filter.default = unsafe_raw zend.ze1_compatibility_mode = 0 unicode.semantics = 0 zend_thread_safty = 0 extensions = Core,date,ereg,libxml,openssl,pcre,zlib,bcmath,bz2,calendar,ctype,dba,dom,hash,fileinfo,filter,ftp,gettext,SPL,iconv,json,mbstring,session,standard,posix,Reflection,Phar,shmop,SimpleXML,soap,sockets,exif,sysvmsg,sysvsem,sysvshm,tokenizer,wddx,xml,xmlreader,xmlwriter,zip,mysqlnd,apache2handler,curl,gd,imagick,imap,ldap,mcrypt,mysql,mysqli,PDO,pdo_mysql,suhosin,xsl,mhash I'm working with FireFox 33.1,
  9. LDeeJay

    Looking For Testers: New PayPal App

    After having an issue with the (standard) version that came with the installation of 2.3.4 (of an order with more than 100 items, only the first 99 are sent to Paypal, only paying the first 99 lines and giving a discrepancy between ordered and paid) I searched for a solution and came across this update. Initial installation of 4.0 goes without a problem but then I get the message that there are 2 updates available (4.016 and 4.027). After trying to apply the update, I get an error: Error: Could not apply v4.016! Could not start the procedure to apply the update. Please try again. The log shows no entries at all. Any idea what I'm doing wrong? Cheers, Léon
  10. LDeeJay

    Products Cycle Slideshow

    I finally got it working. Not the prettiest solution (programmatically) but it works. Here's what I did: Install the newest version (2.3.1_1) according to the documentation. Activate the plugin and set the variables as desired. The slideshow will pop-up at either the left of right sidebar. Then, set Enable Products Cycle Slideshow Module to False and it will disappear. But the module is still used for configuring the appearance of the slideshow. Copy the files from the 1.4 version to the folders according to that installation (that one doesn't go into the /boxes but in modules). This will eventually be the file that is going to be used. Edit index.php and replace <?php include(DIR_WS_MODULES . FILENAME_NEW_PRODUCTS); ?> with <?php require(DIR_WS_MODULES . 'products_cycle_slideshow.php'); ?> It occurs twice. First time is for the category pages, second time (almost at the end) for the 'home-page'. You can see the result at my site (in development). Once I've figured out how to combine functionality from both files I'll clean them up and put them in one. What I haven't figured out yet is how to refer to the /boxes folder instead of /modules. Changing paths and adding them in filenames.php didn't work so far. Questions? Just ask. Good luck!
  11. LDeeJay

    Products Cycle Slideshow

    Fantastic add-on! However (why is there always one?)..... I can only get it to work on the left of right side (as can be selected in the control panel). But I'd like this one to replace the 'New Products for...' on my frontpage and category pages. I know I have to replace or modify the <?php include(DIR_WS_MODULES . FILENAME_NEW_PRODUCTS); ?> statement in the index.php multiple times to get that effect and with some effort I can make it switched on/off depending on the true/false value but what I can't seem to get is the statement that should replace the NEW_PRODUCTS. Anyone who can give me a push in the right direction? I have a fairly basic OsC 2.3.1 version. Thanks for your time. Léon
  12. LDeeJay

    SiteMonitor

    Great addition! But I'm getting the same error as stated before: WARNING: Your images directory contains non-image type files which is, generally, not correct. followed by two blank lines. I've done a fresh install of OsC 2.3.1 and SiteMonitor 2.9 (with version checker). After solving the array error, I'm still getting this message. I've even emptied the images folder and still get this message... (!?) I know it has been mentioned before but so far I haven't seen a solution. Could it have anything to do with manually altering the code to solve the array error by changing $invalidFiles = array_merge(glob(DIR_FS_CATALOG . DIR_WS_IMAGES . '*.php'),glob(DIR_FS_CATALOG . DIR_WS_IMAGES . '*.txt')); into ($invalidFiles = array_merge((array)glob(DIR_FS_CATALOG . DIR_WS_IMAGES . '*.php'),(array)glob(DIR_FS_CATALOG . DIR_WS_IMAGES . '*.txt'));) Any suggestions are greatly appreciated.
×